跳转到主要内容
GET
/
project
/
update-status
/
{statusId}
Get update status
curl --request GET \
  --url https://api.mintlify.com/v1/project/update-status/{statusId} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "projectId": "<string>",
  "createdAt": "<string>",
  "endedAt": "<string>",
  "status": "queued",
  "summary": "<string>",
  "logs": [
    "<string>"
  ],
  "subdomain": "<string>",
  "screenshot": "<string>",
  "screenshotLight": "<string>",
  "screenshotDark": "<string>",
  "author": "<string>",
  "commit": {
    "sha": "<string>",
    "ref": "<string>",
    "message": "<string>",
    "filesChanged": {
      "added": [
        "<string>"
      ],
      "modified": [
        "<string>"
      ],
      "removed": [
        "<string>"
      ]
    }
  },
  "source": "internal"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

statusId
string
必填

The status ID of a triggered update.

响应

200 - application/json

A successful response

_id
string

The status ID of the triggered updated.

projectId
string

The documentation project ID.

createdAt
string

An ISODate with the specified datetime in UTC

endedAt
string

An ISODate with the specified datetime in UTC

status
enum<string>

The status of the update.

可用选项:
queued,
in_progress,
success,
failure
summary
string

Summary of the status of the update

logs
string[]

An array of logs.

subdomain
string

The subdomain of the docs being updated.

screenshot
string

A screenshot of the docs.

screenshotLight
string

A screenshot of the docs.

screenshotDark
string

A screenshot of the docs in dark mode.

author
string

The author of the update.

commit
object

The commit details

source
enum<string>

The source of the update trigger.

可用选项:
internal,
github-app-installation,
api,
github,
dashboard